:root {
  --textColor: #0d1f3c;
  --blueTextColor: #4f93fb;
  --grayTextColor: #66748a;
  --greenTextColor: #40a01a;
}

html {
  scroll-behavior: smooth;
}

.blue-color {
  color: var(--blueTextColor);
}

.body {
  background-image: url(../img/body__background-image.webp);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.hero-section__main-img--mobile {
  display: none;
}

.body.no-scroll {
  overflow: hidden;
}

.header {
  background-color: rgba(79, 147, 251, 0.2);
}

.header__content-wrapper {
  display: flex;
  margin-left: 120px;
  padding: 12px 0;
  align-items: center;
  justify-content: space-between;
  max-width: 1287px;
}

.header__navigation {
  display: flex;
  align-items: center;
  gap: 32px;
  justify-content: center;
  font-family: "Inter";
  color: var(--textColor);
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
}

.header__navigation-item {
  cursor: pointer;
  transition:
    color 0.3s ease,
    font-weight 0.3s ease;

  &:hover {
    color: #fff;
    font-weight: 900;
  }
}

.header__navigation--burger .header__navigation-item {
  width: 100%;
}

.header__navigation-item-link {
  display: block;
}

.header__burger-button {
  display: none;
  cursor: pointer;
}

.header__burger-menu {
  display: none;
}

.header--active .header__burger-menu {
  display: block;
}

.header__burger-close {
  display: none;
}

.header--active .header__burger-button {
  display: none;
}

.hero-section {
  padding: 28px 0 45px;
}

.hero-section__content {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 94px;
  margin: 0 auto;
  max-width: 1514px;
  padding: 0 10px;
}

.hero-section__text-wrapper {
  max-width: 533px;
}

.hero-section__title {
  color: var(--textColor);
  font-family: "Inter";
  font-size: 56px;
  font-weight: 700;
  line-height: 120%;
  max-width: 440px;
}

.hero-section__subtitle {
  color: var(--textColor);
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
  margin: 24px 0 16px;
  max-width: 500px;
}

.hero-section__description {
  color: var(--grayTextColor);
  font-family: "Inter";
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
}

.hero-section__button {
  display: flex;
  padding: 14px 28px;
  align-items: center;
  justify-content: space-between;
  margin-top: 60px;
  border-radius: 360px;
  background-color: var(--blueTextColor);
  max-width: 246px;
  color: #fff;
  font-family: "Inter";
  font-size: 16px;
  font-weight: 600;
  line-height: 24px;
  cursor: pointer;
}

.probabilities-section {
  position: relative;
  padding: 80px 0 75px;
}

.probabilities-section__background-image {
  position: absolute;
  left: 0;
  top: 314px;
}

.probabilities-section__title {
  color: var(--textColor);
  text-align: center;
  font-family: "Inter";
  font-size: 40px;
  font-weight: 700;
  line-height: 140%;
}

.probabilities-section__subtitle {
  color: var(--textColor);
  text-align: center;
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
  margin: 16px 0 45px;
}

.probabilities-section__cards {
  display: flex;
  gap: 24px;
  max-width: 1106px;
  margin: 0 auto 160px;
}

.probabilities-section__card {
  border-radius: 16px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  background: rgba(249, 251, 255, 0.4);
  box-shadow: 0 4px 24px 0 rgba(26, 79, 160, 0.1);
  padding: 28px;
  height: 380px;
  max-width: 352px;
  width: 100%;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}

.probabilities-section__card-title {
  color: var(--textColor);
  text-align: center;
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
  text-align: center;
}

.probabilities-section__card--beginner .probabilities-section__card-content {
  max-width: 122px;
  color: var(--grayTextColor);
  text-align: center;
  font-family: "Inter";
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
  margin: 80px auto 0;
  text-align: center;
}

.probabilities-section__card-number {
  font-size: 64px;
  font-weight: 500;
  line-height: 64px;
}

.probabilities-section__card--perception {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  & > .probabilities-section__card-content {
    margin-top: 8px;
    color: var(--blueTextColor);
    text-align: center;
    font-family: "Inter";
    font-size: 24px;
    font-weight: 500;
    line-height: 24px;
  }
}

.probabilities-section__card-brain-icon {
  margin-bottom: 24px;
}

.probabilities-section__card--analyst .probabilities-section__card-content {
  color: var(--greenTextColor);
  text-align: center;
  font-family: "Inter";
  font-size: 30px;
  font-weight: 600;
  line-height: 140%;
  margin: 16px 0;
}

.probabilities-section__scores {
  border-bottom: 1px solid #d4dff1;
}

.probabilities-section__card--analyst .probabilities-section__card-note {
  color: var(--grayTextColor);
  font-family: "Inter";
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
  margin-top: 8px;
}

.probabilities-section__score-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: var(--grayTextColor);
  font-family: "Inter";
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
}

.probabilities-section__score-img {
  margin-bottom: 16px;
  display: block;
}

.probabilities-section__opportunity {
  border-radius: 24px;
  border: 1px solid #fff;
  background: rgba(249, 251, 255, 0.4);
  box-shadow: 0 8px 40px 0 rgba(26, 79, 160, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  max-width: 1106px;
  margin: 0 auto;
  padding: 48px 56px;
}

.probabilities-section__examples {
  display: flex;
  gap: 24px;
  margin: 48px 0 24px;
  justify-content: center;
}

.probabilities-section__example {
  display: flex;
  padding: 20px;
  gap: 24px;
  border-radius: 16px;
  background-color: #e0ecfe;
  width: 100%;
  align-items: center;
}

.probabilities-section__example-text {
  color: var(--textColor);
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
}

.probabilities-section__example-accent {
  font-weight: 600;
}

.probabilities-section__key-point {
  padding: 28px;
  border-radius: 16px;
  background-color: rgba(226, 237, 227, 0.58);
}

.probabilities-section__key-point-header {
  color: var(--greenTextColor);
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
  display: flex;
  gap: 8px;
  margin-bottom: 24px;
}

.probabilities-section__key-point-title {
  color: var(--textColor);
  font-family: "Inter";
  font-size: 18px;
  font-style: normal;
  font-weight: 600;
  line-height: 140%;
  margin-bottom: 12px;
}

.probabilities-section__key-point-text {
  color: var(--textColor);
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
}

.gameLine-section {
  padding: 80px 0 73px;
  position: relative;
}

.gameLine-section__background-img {
  position: absolute;
  right: 0;
  bottom: 143px;
}

.gameLine-section__background-img--mobile {
  display: none;
}

.gameLine-section__title {
  max-width: 767px;
  margin: 0 auto;
  color: var(--textColor);
  text-align: center;
  font-family: "Inter";
  font-size: 40px;
  font-weight: 700;
  line-height: 140%;
}

.gameLine-section__content {
  padding: 24px 56px;
  max-width: 1106px;
  width: 100%;
  margin: 40px auto 0;
  border-radius: 24px;
  border: 1px solid #fff;
  background-color: rgba(249, 251, 255, 0.4);
  box-shadow: 0 8px 40px 0 rgba(26, 79, 160, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}

.gameLine-section__teams {
  display: flex;
  max-width: 580px;
  margin: 0 auto;
  gap: 40px;
  align-items: center;
}

.gameLine-section__team {
  display: flex;
  flex-direction: column;
  gap: 12px;
  height: 197px;
  align-items: center;
}

.gameLine-section__team-logo {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
}

.gameLine-section__team-name {
  color: var(--blueTextColor);
  text-align: center;
  font-family: "Inter";
  font-size: 18px;
  font-weight: 600;
  line-height: 140%;
}

.gameLine-section__VS-img {
  width: 140px;
  height: 140px;
}

.gameLine-section__text {
  margin: 40px 0 16px;
  text-align: center;
  color: var(--textColor);
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
}

.gameLine-section__ratio {
  display: flex;
  gap: 8px;
  max-width: 657px;
  margin: 0 auto;
  padding-bottom: 40px;
}

.gameLine-section__ratio-item {
  padding: 8px 28px;
  border-radius: 360px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  background: rgba(249, 251, 255, 0.4);
  box-shadow: 0 4px 24px 0 rgba(26, 79, 160, 0.1);
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: var(--textColor);
  text-align: center;
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
  width: 100%;
  max-width: 213px;
}

.gameLine-section__bet {
  font-weight: 600;
}

.gameLine-section__statistic-wrapper {
  padding-top: 40px;
  display: flex;
  gap: 20px;
  flex-direction: column;
  border-top: 1px solid #bbd0f2;
}

.gameLine-section__statistic {
  border-left: 4px solid var(--blueTextColor);
  padding-left: 24px;
  color: var(--textColor);
  font-family: "Inter";
  font-size: 18px;
  line-height: 140%;
  font-weight: 400;
  height: 58px;
  display: flex;
  flex-direction: column;
  gap: 6px;
  justify-content: center;
}

.gameLine-section__statistic-title {
  font-weight: 600;
}

.gameLine-section__note {
  color: var(--grayTextColor);
  font-family: "Inter";
  font-size: 18px;
  font-style: italic;
  font-weight: 400;
  line-height: 140%;
}

.cup-section {
  position: relative;
  padding: 80px 0;
}

.cup-section__background-img {
  position: absolute;
  left: 0;
  bottom: 40px;
  z-index: -1;
}

.cup-section__background-img--mobile {
  display: none;
}

.cup-section__content {
  max-width: 1106px;
  margin: 0 auto;
  display: flex;
  gap: 24px;
}

.cup-section__card {
  width: 100%;
  border-radius: 16px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  box-shadow: 0 4px 24px 0 rgba(26, 79, 160, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  padding: 28px;
}

.cup-section__card--lose {
  background-color: rgba(213, 43, 30, 0.1);
}

.cup-section__card--gain {
  background-color: rgba(64, 160, 26, 0.1);
}

.cup-section__title {
  color: var(--textColor);
  text-align: center;
  font-family: "Inter";
  font-size: 40px;
  font-weight: 700;
  line-height: 140%;
  margin-bottom: 24px;
}

.cup-section__list-item {
  color: var(--textColor);
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
  padding-left: 32px;
  margin-bottom: 20px;
  position: relative;

  &::before {
    content: "";
    background-repeat: no-repeat;
    background-size: 100% 100%;
    position: absolute;
    left: 0;
    top: 3px;
    width: 20px;
    height: 20px;
  }
}

.cup-section__card--lose .cup-section__list-item::before {
  background-image: url(../img/cup-section__list-icon--lose.svg);
}

.cup-section__card--gain .cup-section__list-item::before {
  background-image: url(../img/cup-section__list-icon--gain.svg);
}

.cup-section__card--gain .cup-section__list {
  padding-bottom: 4px;
  border-bottom: 1px solid #c9d3c5;
}

.cup-section__text {
  color: var(--textColor);
  font-family: "Inter";
  font-size: 18px;
  font-style: italic;
  font-weight: 400;
  line-height: 140%;
  margin-top: 24px;
  position: relative;

  &::first-letter {
    padding-left: 25px;
  }

  &::before {
    content: "";
    background-repeat: no-repeat;
    background-size: 100% 100%;
    position: absolute;
    left: 0;
    top: 4px;
    width: 18px;
    height: 18px;
    background-image: url(../img/cup-section__list-icon--like.svg);
  }
}

.cup-section__title--understanding {
  max-width: 757px;
  margin: 80px auto 40px;
  position: relative;

  &::before {
    content: "";
    background-repeat: no-repeat;
    background-size: 100% 100%;
    position: absolute;
    left: -28px;
    top: 8px;
    width: 40px;
    height: 40px;
    background-image: url(../img/cup-section__list-icon--pazzle.svg);
  }
}

.cup-section__card--understanding {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
  flex-direction: column;
}

.cup-section__card-subtitle {
  color: var(--textColor);
  text-align: center;
  font-family: "Inter";
  font-size: 18px;
  font-weight: 600;
  line-height: 140%;
}

.cup-section__note {
  max-width: 533px;
  margin: 24px auto 0;
  color: var(--grayTextColor);
  text-align: center;
  font-family: "Inter";
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
}

.ready-section {
  background: linear-gradient(180deg, rgba(79, 147, 251, 0) 0%, #4f93fb 100%);
  padding: 60px 0 83px;
}

.ready-section__content {
  max-width: 1106px;
  margin: 0 auto;
  border-radius: 24px;
  border: 1px solid #fff;
  background: rgba(249, 251, 255, 0.4);
  box-shadow: 0 8px 40px 0 rgba(26, 79, 160, 0.1);
  padding: 48px 56px;
}

.ready-section__title {
  color: var(--blueTextColor);
  text-align: center;
  font-family: "Inter";
  font-size: 40px;
  font-weight: 700;
  line-height: 140%;
  margin-bottom: 12px;
}

.ready-section__subtitle {
  color: var(--textColor);
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
  text-align: center;
}

.ready-section__button-link {
  display: flex;
  width: 100%;
  max-width: 409px;
  margin: 24px auto 48px;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 14px 28px;
  border-radius: 360px;
  background-color: var(--blueTextColor);
  color: #fff;
  font-family: "Inter";
  font-size: 16px;
  font-weight: 600;
  line-height: 24px;
}

.ready-section__text {
  color: var(--textColor);
  text-align: center;
  font-family: "Inter";
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
}

.ready-section__button-copy {
  padding: 12px 24px;
  width: 100%;
  max-width: 184px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
  color: var(--blueTextColor);
  text-align: center;
  font-family: "DM Mono";
  font-size: 18px;
  font-weight: 500;
  line-height: 120%;
  border-radius: 16px;
  border: 1px solid rgba(255, 255, 255, 0.25);
  background: rgba(255, 255, 255, 0.5);
  margin: 12px auto 0;
  cursor: pointer;
}

.footer {
  background-color: var(--textColor);
  padding: 24px 120px 32px;
  display: flex;
  flex-direction: column;
  gap: 22px;
}

.footer__content {
  width: 100%;
  max-width: 1677px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
}

.footer__advice-text {
  display: flex;
  gap: 48px;
  color: #d1d5dc;
  text-align: center;
  font-family: "Inter";
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
}

.footer__nav {
  width: 100%;
  max-width: 1677px;
  margin: 0 auto;
}

.footer__nav-list {
  display: flex;
  gap: 20px;
  justify-content: flex-end;
  color: var(--blueTextColor);
  font-family: "Inter";
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
}

.footer__nav-list-item {
  padding-left: 20px;
  position: relative;
  cursor: pointer;

  &:not(:first-child)::before {
    content: "";
    height: 100%;
    width: 1px;
    background-color: #d1d5dc;
    position: absolute;
    left: 0;
  }
}

.body-404 {
  background-image: url(../img/body__background-image--404.webp);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.page-404__main-img {
  display: block;
  max-width: 716px;
}

.page-404__title {
  margin-bottom: 24px;
  color: var(--blueTextColor);
  text-align: center;
  font-family: "Inter";
  font-size: 40px;
  font-weight: 700;
  line-height: 140%;
}

.page-404__subtitle {
  color: var(--textColor);
  text-align: center;
  font-family: "Inter";
  font-size: 18px;
  font-weight: 400;
  line-height: 140%;
}

.main-404 {
  height: 100vh;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 40px;
}